/** @file MOMEASEvent.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMEASEvent.h"

namespace WebCore {

MOMEASEvent::MOMEASEvent(const mom_event_params* params, ScriptExecutionContext*)
    : MOMEvent(AtomicString("MOM_EAS"), params)
{
    ASSERT(params->arg_count == mom_event_EAS_COUNT);
    m_object = params->object ? MOMStringCollection::create(static_cast<mom_urilist>(params->object)) : nullptr;
}

MOMEASEvent::MOMEASEvent()
    : MOMEvent(AtomicString("MOM_EAS"))
{
}

} // namespace WebCore

#endif // ENABLE(RMAI)
